{% set CodiceModulo = "DOM_VAR_SCUOLABUS" %}
{% set Urn = "document:c_i312:trasporto.scolastico;variazione;domanda" %}
{% set Urn_procedimento = "trasporto.scolastico:variazione" %}
{% set allegati=[
  { "codice":"DAE-CDI",
    "urn":"document:s_italia:generale;documento.identita;documentazione",
    "descrizione_tabella_allegati":"copia del documento di identità",
    "annotazioni_tabella_allegati":"(da allegare se il modulo è sottoscritto con firma autografa)",
    "descrizione_meta":"", 
    "filename":"Documento identita",
    "firmatari":"Titolare_CodiceFiscale",
    "firmatari_label":"il dichiarante",
    "firmato":"NO",
    "numero":"1",
    "dimensione":"15",
    "enabled":"",
    "dynamic_check":"",
    "tipo":"allegato",
    "tipo_mime":"image/tiff,image/png,image/jpeg,application/pdfn" 
  }
]%}
{% set campi_firma = [
  {
    "campi_firma" : "Titolare_CodiceFiscale",
    "campi_firma_label" : "il dichiarante",
    "firmatario" : "SI"
  }
]%}
{% extends "base.html" %}

{% block meta %}

<meta campi_firma="{% for campofirma in campi_firma %}{% if campofirma['firmatario'] == 'SI' %}{% if not loop.first %},{% endif %}{{ campofirma['campi_firma'] }}{% endif %}{% endfor %}"
campi_firma_label="{% for campofirma in campi_firma %}{% if campofirma['firmatario'] == 'SI' %}{% if not loop.first %},{% endif %}{{ campofirma['campi_firma_label'] }}{% endif %}{% endfor %}"
classi_modulo="Pubblica istruzione"
trattamento_dati="PERSONALI_SENSIBILI"
codice_modulo="{{ CodiceModulo }}"
urn="{% block urn %}{{ Urn }}{% endblock urn %}"
urn_procedimento="{% block urn_procedimento %}{{ Urn_procedimento }}{% endblock urn_procedimento %}"
urn_procedimento_list=""
sub_urn_list=""
uo_globo_list=""
descrizione="Domanda di variazione del servizio di trasporto scolastico"
destinatario_amministrazione=""
destinatario_ufficio="UOPUBBLICAISTRUZIONE"
dinamico="SI"
email_a=""
ente_abilitato="TUTTI"
filigrana="NO"
firmare="P7M_ELETTRONICA"
in_bollo="NO"
istruzioni_compilazione=""
istruzioni_invio="mail_pec"
metodo_invio="mail"
name="GLOBO_modulo"
procura="NO,,"
tipo_modulo="principale"
verifica_pagamento="NO"
versione="4.0|19/03/2024"/>

<meta codice_modulo_figlio="INCARICO_PROCURA"
urn_modulo_figlio="document:s_italia:generale;incarico.procura"
name="GLOBO_modulofiglio"
numero="1"
obbligatorio="DINAMICO"/>

{% for allegato in allegati %}{% set descr = "" %}{% if allegato['descrizione_meta'] == '' %} {% set descr = allegato['descrizione_tabella_allegati']  %} {% else %}{% set descr = allegato['descrizione_meta'] %} {% endif %}
   {% if allegato['tipo'] == "allegato" %}
    <meta codice_allegato="{{ allegato['codice'] }}"
     urn_allegato="{{ allegato['urn'] }}"
     descrizione_estesa="{{  descr[0]|upper + descr[1:descr|length] }}"
     filename="{{ allegato['filename'][0]|upper + allegato['filename'][1:allegato['filename']|length] }}"
     firmatari="{{ allegato['firmatari'] }}"
     firmatari_label="{{ allegato['firmatari_label'] }}"
     firmato="{{ allegato['firmato'] }}"
     name="GLOBO_allegato"
     numero="{{ allegato['numero'] }}"
     dimensione_massima="{{ allegato['dimensione'] }}"
     obbligatorio="DINAMICO"
     tipo_mime="{{ allegato['tipo_mime'] }}"/>
   {% elif allegato['tipo'] == "secondario" %} 
     <meta codice_modulo_figlio="{{ allegato['codice'] }}"
     urn_modulo_figlio="{{ allegato['urn'] }}"
     name="GLOBO_modulofiglio"
     numero="{{ allegato['numero'] }}"
     obbligatorio="DINAMICO"/>
   {% endif %}{% endfor %}

<meta codice_allegato="ALTRI-ALLEGATI"
urn_allegato="document:s_italia:altri.allegati"
descrizione_estesa="Altri allegati"
filename="Altri allegati"
firmato="SI"
name="GLOBO_allegato"
numero="0"
obbligatorio="DINAMICO"
tipo_mime="image/tiff,image/png,image/jpeg,application/pdfn"/>

{% endblock meta %}

{% block title %}Domanda di variazione del servizio di trasporto scolastico{% endblock title %}

{% block content %}

  

<input id="Parametri_Comune" name="Parametri_Comune" type="hidden" dynamic_value="#Ente.value()"/>
<input id="Oggetto" name="Oggetto" type="hidden" dynamic_value="#Titolare_Cognome.value().toUpperCase() + ' ' + #Titolare_Nome.value().toUpperCase() + ' - variazione servizio trasporto scolastico' + (#Referente_DatiPersonaObbligatori.checked() ? ' (per il minore ' + #Referente_Cognome.value().toUpperCase() + ' ' + #Referente_Nome.value().toUpperCase() + ')' : '')"/>

{{ intestazioni.intestazione_moduloprincipale_senzabollo() }}

<div class="container">
  <div class="title-1"> Domanda di variazione del servizio di trasporto scolastico </div>
</div>

<input id="Titolare_DatiPersonaObbligatori" name="Titolare_DatiPersonaObbligatori" type="hidden" value="SI" dynamic_check="true"/>
<input id="Titolare_Titolo" name="Titolare_Titolo" type="hidden" value="Richiedente"/>
<input id="Titolare_Ruolo" name="Titolare_Ruolo" type="hidden" value="Richiedente"/>
{{ anagrafica.persona_fisica( prefix="Titolare", 
                              intestazione="Il sottoscritto genitore, tutore o affidatario", 
                              visibility_intestazione="visibility:visibility", 
                              visibility_residenza="visibility:visibility", 
                              visibility_mail="mail_ordinaria", 
                              cf_obbligatorio="true", 
                              pec_obbligatoria ="false", 
                              campi_readonly="readonly",
                              mailordinaria_obbligatoria="false", 
                              visibility_domicilio="display:none", 
                              visibility_datanascita="visibility:visibility")}}

<input id="Referente_DatiPersonaObbligatori" name="Referente_DatiPersonaObbligatori" type="hidden" value="SI" dynamic_check="true"/>
<input id="Referente_Titolo" name="Referente_Titolo" type="hidden" value="Minore"/>
<input id="Referente_Ruolo" name="Referente_Ruolo" type="hidden" value="Minore"/>
{{ anagrafica.persona_fisica( prefix="Referente", 
                              intestazione="del minore", 
                              visibility_intestazione="visibility:visibility", 
                              visibility_residenza="display:none", 
                              visibility_mail="display:none", 
                              cf_obbligatorio="true", 
                              pec_obbligatoria ="false",
                              mailordinaria_obbligatoria="false", 
                              visibility_domicilio="display:none", 
                              visibility_datanascita="visibility:visibility", 
                              onceonly="true")}}

<!--In caso di select per la scuola, inserire i valori delle option come i ruoli nell'anagrafica società
Es. options=["scuola 1", "scuola 2"] -->
{{utils_scolastici.iscrizione_scuola(intestazione="iscritto alla scuola", mandatory_enabled="true", options="")}}

{{ utils.domicilio_digitale(mandatory = "true", intestazione = "", pec = "false") }}

<div class="container">
  <div class="title-3"> CHIEDE </div>
</div>

<div class="container">
  <div class="paragraph text-justify"> la variazione </div>
</div>

<div class="container border bg-light">
  <div class="form-row">
    <div class="form-group col-lg-12">
      <label for=""> Tipologia </label>
    </div>
  </div>
  <div class="form-check indent-1">
    <div id="Tassonomia_Tipologia" name="Tassonomia_Tipologia" label="tipologia" mandatory_enabled="true"></div>
    <input class="form-check-input" id="Tassonomia_Tipologia1" name="Tassonomia_Tipologia" type="radio" value="1">
    <label class="form-check-label text-justify" for="Tassonomia_Tipologia1"> temporanea </label>
    <div class="form-row" mandatory_enabled="#Tassonomia_Tipologia1.checked()">
      <div class="form-group col-lg-12">
        <label for="Parametri_DataTip"> Data </label>
        <input class="form-control" id="Parametri_DataTip" name="Parametri_DataTip" label="Data" format="date">
      </div>
    </div>
  </div>
  <div class="form-check indent-1">
    <input class="form-check-input" id="Tassonomia_Tipologia2" name="Tassonomia_Tipologia" type="radio" value="2">
    <label class="form-check-label text-justify" for="Tassonomia_Tipologia2"> permanente </label>
    <div class="form-row" mandatory_enabled="#Tassonomia_Tipologia2.checked()"> 
      <div class="form-group col-lg-12">
        <label for="Parametri_DataVariazione"> Data decorrenza della variazione </label>
        <input class="form-control" id="Parametri_DataVariazione" name="Parametri_DataVariazione" label="Data decorrenza della variazione" format="date">
      </div>
    </div>
  </div>
</div>

<globo_salto_pagina></globo_salto_pagina>

<div id="Tassonomia_Aggiornamento" name="Tassonomia_Aggiornamento" label="Indicare almeno una comunicazione" mandatory="true"></div>
<div class="container border bg-light">
  <div class="form-row">
    <div class="col-lg-12">
      <span class="title"> dei seguenti dai o caratteristiche del servizio  </span>
    </div>
  </div>
  <div class="form-check indent-1">
    <input class="form-check-input" group="Tassonomia_Aggiornamento" id="Tassonomia_Aggiornamento1" name="Tassonomia_Aggiornamento1" type="checkbox" value="SI">
    <label class="form-check-label text-justify" for="Tassonomia_Aggiornamento1"> dati relativi alla residenza <div class="space-0"></div> <span class="infoes"> (i nuovi dati sono quelli indicati per il genitore, tutore o affidatario) </span></label>
  </div>
  <div class="form-check indent-1">
    <input class="form-check-input" group="Tassonomia_Aggiornamento" id="Tassonomia_Aggiornamento2" name="Tassonomia_Aggiornamento2" type="checkbox" value="SI">
    <label class="form-check-label text-justify" for="Tassonomia_Aggiornamento2"> dati relativi ai recapiti personali (posta elettronica, telefono) <div class="space-0"></div> <span class="infoes"> (i nuovi dati sono quelli indicati per il genitore, tutore o affidatario) </span> </label>
  </div>
  <div class="form-check indent-1">
    <input class="form-check-input" group="Tassonomia_Aggiornamento" id="Tassonomia_Aggiornamento3" name="Tassonomia_Aggiornamento3" type="checkbox" value="SI">
    <label class="form-check-label text-justify" for="Tassonomia_Aggiornamento3"> dati relativi alla scuola frequentata <div class="space-0"></div> <span class="infoes"> (i nuovi dati sono quelli sopra indicati)  </span></label>
  </div>
  <div class="form-check indent-1">
    <input class="form-check-input" group="Tassonomia_Aggiornamento" id="Tassonomia_Aggiornamento4" name="Tassonomia_Aggiornamento4" type="checkbox" value="SI">
    <label class="form-check-label text-justify" for="Tassonomia_Aggiornamento4">caratteristiche del percorso </label>
    <div class="form-row">
      <div class="form-group col-lg-12">
        <label for=""> Tipologia di viaggio </label>
      </div>
    </div>
  </div>
  <div class="form-check indent-2">
    <div id="Parametri_TipoViaggio" name="Parametri_TipoViaggio" label="Tipologia di viaggio" mandatory_enabled="#Tassonomia_Aggiornamento4.checked()"></div>
    <input class="form-check-input" group="Parametri_TipoViaggio" id="Parametri_TipoViaggio1" name="Parametri_TipoViaggio1" type="checkbox" value="SI">
    <label class="form-check-label text-justify" for="Parametri_TipoViaggio1"> andata </label>
    <div class="form-row">
      <div class="form-group col-lg-12">
        <label for="Parametri_FermataAndata"> Fermata </label>
        <input class="form-control" id="Parametri_FermataAndata" name="Parametri_FermataAndata" label="Fermata" mandatory_enabled="#Parametri_TipoViaggio1.checked()">
      </div>
    </div>
  </div>
  <div class="form-check indent-2">
    <input class="form-check-input" group="Parametri_TipoViaggio" id="Parametri_TipoViaggio2" name="Parametri_TipoViaggio2" type="checkbox" value="SI">
    <label class="form-check-label text-justify" for="Parametri_TipoViaggio2"> ritorno </label>
    <div class="form-row">
      <div class="form-group col-lg-12">
        <label for="Parametri_FermataRitorno"> Fermata </label>
        <input class="form-control" id="Parametri_FermataRitorno" name="Parametri_FermataRitorno" label="Fermata" mandatory_enabled="#Parametri_TipoViaggio2.checked()">
      </div>
    </div>
  </div>
</div>

<div class="container">
  <div class="form-check indent-1">
    <input class="form-check-input" id="Motivazione" name="Motivazione" type="checkbox" value="SI" enabled="#Tassonomia_Tipologia1.checked()" dynamic_check="#Tassonomia_Tipologia1.checked()">
    <label class="form-check-label text-justify" for="Motivazione"> per la seguente motivazione </label>
    <div class="containerindentato border bg-light pl-0">
      <div class="form-row" mandatory_enabled="#Motivazione.checked()">
        <div class="form-group col-lg-12">
          <label for="Parametri_DescMotivo"> Descrizione </label>
          <input class="form-control" id="Parametri_DescMotivo" name="Parametri_DescMotivo" label="Descrizione">
        </div>
      </div>
    </div>
  </div>
</div>

{{ utils.Dichiara_445() }}

{{ utils_scolastici.dichiarazione_miur() }}

<div class="container">
  <div class="form-check indent-1">
    <input class="form-check-input" id="Incaricato" name="Incaricato" type="checkbox" value="SI">
    <label class="form-check-label text-justify" for="Incaricato"> di incaricare la seguente persona per il ritiro del minore </label>
    <div class="containerindentato border bg-light pl-0">
      <div class="form-row">
        <div class="form-group col-lg-6">
          <label for="Parametri_CognomeIncaricato"> Cognome </label>
          <input class="form-control" id="Parametri_CognomeIncaricato" name="Parametri_CognomeIncaricato" label="Cognome" mandatory_enabled="#Incaricato.checked()">
        </div>
        <div class="form-group col-lg-6">
          <label for="Parametri_NomeIncaricato"> Nome </label>
          <input class="form-control" id="Parametri_NomeIncaricato" name="Parametri_NomeIncaricato" label="Nome" mandatory_enabled="#Incaricato.checked()">
        </div>
        <div class="form-group col-lg-6">
          <label for="Parametri_TelefonoIncaricato"> Telefono </label>
          <input class="form-control" id="Parametri_TelefonoIncaricato" name="Parametri_TelefonoIncaricato" label="Telefono" mandatory_enabled="#Incaricato.checked()" format="number">
        </div>
        <div class="form-group col-lg-6">
          <label for="Parametri_EmailIncaricato"> Posta elettronica </label>
          <input class="form-control" id="Parametri_EmailIncaricato" name="Parametri_EmailIncaricato" label="Posta elettronica" enabled="#Incaricato.checked()" format="email">
        </div>
      </div>
    </div>
  </div>
</div>

<div class="space-1"></div>

{{ utils.eventuali_annotazioni()}}

<globo_salto_pagina></globo_salto_pagina>
<div class="space-1"></div>

<div class="container border bg-light">
  <div class="form-row">
    <div class="col-lg-12" style="text-align: center;">
      <span class="title"> Elenco degli allegati </span>
      <div class="space-0"></div>
      <span class="infoes"> (barrare tutti gli allegati richiesti in fase di presentazione della pratica ed elencati sul portale) </span>
    </div>
  </div>
  {% for allegato in allegati %}
  <div class="form-check indent-1">
    {% if allegato['tipo'] == "allegato" %}<input id="GLOBO_allegato_c{{ allegato['codice'] }}" name="GLOBO_allegato_c{{ allegato['codice'] }}" obbligatorio="#{{ allegato['codice']|replace('-', '_') }}.checked() ? 'OBBLIGATORIO' : ''" type="hidden" value=""/>{% elif allegato['tipo'] == "secondario" %} <input id="GLOBO_modulofiglio_c{{ allegato['codice'] }}" name="GLOBO_modulofiglio_c{{ allegato['codice'] }}" type="hidden" value="" obbligatorio="#{{ allegato['codice']|replace('-', '_') }}.checked() ? 'OBBLIGATORIO' : ''"/>{% endif %}
    <input class="form-check-input" id="{{ allegato['codice'] }}" name="{{ allegato['codice'] }}" type="checkbox" value="OBBLIGATORIO" {% if allegato['dynamic_check'] == "true" %} dynamic_check="true" checked="checked" {% elif allegato['dynamic_check'] != "" and allegato['enabled'] == "" %} dynamic_check="{{ allegato['dynamic_check'] }}" {% elif allegato['dynamic_check'] == "" and allegato['enabled'] != "" %} enabled="{{ allegato['enabled'] }}" {% elif allegato['dynamic_check'] != "" and allegato['enabled'] != "" %} dynamic_check="{{ allegato['dynamic_check'] }}" enabled="{{ allegato['enabled'] }}" {% endif %}>
    <label class="form-check-label text-justify" for="{{ allegato['codice'] }}"> {{ allegato['descrizione_tabella_allegati'][0]|lower + allegato['descrizione_tabella_allegati'][1:allegato['descrizione_tabella_allegati']|length] }}{% if allegato['annotazioni_tabella_allegati'] != "" %} <div class="space-0"></div> <span class="infoes"><i>{{  allegato['annotazioni_tabella_allegati']|safe }}</i></span>{% endif %}</label>
  </div>
  {% endfor %}
  <div class="form-row ml-0 mr-0 mt-1">
    <div class="form-check indent-1 col-lg-2">
      <input class="form-check-input" type="checkbox" id="ALTRI-ALLEGATI" name="ALTRI-ALLEGATI" value="OBBLIGATORIO">
      <label class="form-check-label text-justify" for="ALTRI-ALLEGATI">altri allegati </label>
    </div>
    <div class="form-group col-lg-10">
      <input class="form-control" id="AltriAllegati" name="AltriAllegati" mandatory_enabled="#ALTRI_ALLEGATI.checked()">
    </div>
  </div>
</div>

<div class="space-1"></div>

{{ utils.trattamento_dati_personali() }}

<div class="space-1"></div>

<globo_fondo_pagina style="margin-left: 25pt;" areaheight="150" scope="3">
  {{ utils.firma_unificata()}}
</globo_fondo_pagina>

<div class="space-1"></div>

{{ utils.salva()}}

<input destinatario_amministrazione="getParameter('Ente')" id="GLOBO_modulo_c{{ CodiceModulo }}" name="GLOBO_modulo_c{{ CodiceModulo }}" type="hidden" value=""/>
<input firmare="'P7M_ELETTRONICA'" id="GLOBO_modulofiglio_cINCARICO_PROCURA" name="GLOBO_modulofiglio_cINCARICO_PROCURA" type="hidden" value=""/>

<input id="GLOBO_allegato_cALTRI-ALLEGATI" name="GLOBO_allegato_cALTRI-ALLEGATI" obbligatorio="#ALTRI_ALLEGATI.checked() ? 'OBBLIGATORIO' : ''" type="hidden" value=""/>

<input id="GLOBO_id_padre" name="GLOBO_id_padre" type="hidden"/>
<input id="GLOBO_recupera_dati" name="GLOBO_recupera_dati" type="hidden"/>
<input id="GLOBO_codice_modulo" name="GLOBO_codice_modulo" type="hidden" value="{{ CodiceModulo }}"/>

{% endblock content %}
